%define	name	libkexif
%define	version	0.2.4
## Distribution Specific Release Tag
%{?!mkrel: %define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define release %mkrel 3
%define	Summary	KDE library for manipulating EXIF information embedded in images

%define realname kexif

%define	major	0
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} %major -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkexif-%{version}.tar.bz2

URL: 		http://extragear.kde.org/apps/kipi.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-common
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:	libexif-devel
BuildRequires:	libxt-devel
Epoch: 1

Provides:	%{name} = %{epoch}:%{version}-%{release}

%description
Libkexif is a library for manipulating EXIF information embedded in images.
It currently supports viewing of all EXIF information via libexif. It also
supports the modification of a few attributes in a save way that preserves
all other EXIF information in the file. It can currently modify the following
tags:
IFD0/Orientation
EXIF/UserCommend

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}

%{libname} contains kexif libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires: 	%{libname} = %{epoch}:%version-%release
Provides:	%{name}-devel

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q

make -f Makefile.cvs

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%{_libdir}/*.so.*
%{_libdir}/*.la

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/pkgconfig/libkexif.pc
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Aug 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.4-3
- add BuildRequires: libxt-devel

* Wed Jul 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.2.4-2
- Rebuild

* Tue Jun 20 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.4-1mdv2007.0
- New release 0.2.4

* Sun Jun 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.3-2mdv2007.0
- fix download URL and a patch for exif info

* Sun May 07 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.3-1mdk
- new release

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.2.2-2mdk
- Backported from svn admin to allow compiling under kde 3.5

* Mon Sep 26 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.2.2-1mdk
- new release

* Tue Jul 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.2.1-5
- Fix compile gcc-4.0

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.2.1-4
- Rebuild

* Wed Mar  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.1-3mdk
- fix build on lib64 platforms

* Sun Feb 13 2005 Angelo Naselli <anaselli@mandrake.org> 0.2.1-2mdk
- DistroSpecificReleaseTag support

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- 0.2

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-3mdk
- Fix Buildrequires add by Christiaan Welvaart, qt3-devel and not libqt3-devel
 (otherwise it breaks compile on x86_64)

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-2mdk
- add BuildRequires: kdelibs-common libqt3-devel kdebase-devel libexif-devel

* Sat Oct 16 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-1mdk
- new version

* Mon Sep 20 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Wed Sep 08 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed summary and description

* Tue Aug 24 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Mon Jun 12 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version
